ChiliProject - Bug # 612: Back urls containing umlauts redirect to "my page"

Status: Open Priority: Normal
Author: Romano Licker Category:

Created: 2011-09-07 Assignee:

Updated: 2011-12-02 Due date:

Remote issue URL:

Affected version:

Description: The CGl.unescape unescapes the characters of the path as well.

An URL like: chili.org/AqA=AqA=u.html would fail during redirect.

See fix https://github.com/chiliproject/chiliproject/pull/101

Associated revisions

2008-02-10 03:24 pm - Jean-Philippe Lang
Translation updates:

* Finnish (Antti PerkiAfmAx=ki, #612)

* Russian (Michael Pirogov, #622)

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1132 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2011-11-28 07:19 pm - Felix Schéafer
- Assignee deleted (Felix Schéfer)

- Status changed from Ready for review to Open

Eric, | haven't really managed to come up with a good test for the @ApplicationController#redirect_to_back_or_default@, do you have an idea?

2011-12-02 12:07 am - Eric Davis

| think this is another test were we need to using a browser engine like capybara instead of just get/post/put to urls. That way we drive the form

submissions directly and the form uses it's back_url parameter (we have a deferred test that needs this too).
